Last Comment Bug 660389 - Some addons stopped working after applying bug 592943
: Some addons stopped working after applying bug 592943
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 Windows 7
: P1 major with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 592943
  Show dependency treegraph
 
Reported: 2011-05-27 17:32 PDT by Gary [:streetwolf]
Modified: 2013-12-27 14:28 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
affected


Attachments

Description Gary [:streetwolf] 2011-05-27 17:32:35 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110527 Firefox/7.0a1
Build Identifier: 

Regression Range:

Good: http://hg.mozilla.org/mozilla-central/rev/02a5505b965b
Bad:  http://hg.mozilla.org/mozilla-central/rev/eaa69ae330ab

Reproducible: Always




Some addons that no longer work with Bug fix 592943:

1. Stratiform
2. NoSquint
3. Firegestures
Comment 1 Joshua M [:soapy] 2011-05-27 18:31:21 PDT
I'm the author of Stratiform. I was using encodeURI to encode some CSS to register via the style sheet service, changing to encodeURIComponent restored compatibility with the latest nightly builds. Perhaps the other add-ons are using a similar method.
Comment 2 Gary [:streetwolf] 2011-05-27 19:02:14 PDT
Did some addon testing and found that many of my addons do not work with bug fix 592943.
Comment 3 Larry Snow 2011-05-27 19:59:02 PDT
I just dropped back to the nightly build because the hourly (with this fix) broke NTT and Menu Editor.
Comment 4 Alice0775 White 2011-05-27 20:08:05 PDT
(In reply to comment #1)
> I'm the author of Stratiform. I was using encodeURI to encode some CSS to
> register via the style sheet service, changing to encodeURIComponent
> restored compatibility with the latest nightly builds. Perhaps the other
> add-ons are using a similar method.

This is caused by landing Bug 658949.
And this is not related Bug 660389.
Comment 5 Alice0775 White 2011-05-27 20:13:01 PDT
(In reply to comment #0)
> User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1)
> Gecko/20110527 Firefox/7.0a1
> Build Identifier: 
> 
> Regression Range:
> 
> Good: http://hg.mozilla.org/mozilla-central/rev/02a5505b965b
> Bad:  http://hg.mozilla.org/mozilla-central/rev/eaa69ae330ab
> 
> Reproducible: Always
> 
> 
> 
> 
> Some addons that no longer work with Bug fix 592943:
> 
> 1. Stratiform
> 2. NoSquint
> 3. Firegestures


WORKAROUND:
user_pref("nglayout.debug.disable_xul_cache", true);
Comment 6 Michael Wu [:mwu] 2011-05-28 00:19:30 PDT
Fixed by backout.
Comment 7 =Haron= 2011-05-28 01:06:04 PDT
Confirmed
:::: Mozilla/5.0 (X11; Linux x86_64; rv:7.0a1) Gecko/20110527 Firefox/7.0a1 #1306555932
Comment 8 Michael Wu [:mwu] 2011-06-10 04:28:44 PDT
I've fixed some issues with the patch and put up a build at http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwu@mozilla.com-3aca00bcdf3d/ in case someone wants to try it and see if it breaks extensions again. It shouldn't, but extra testing would be appreciated.

Note You need to log in before you can comment on or make changes to this bug.